## libbtbb 2014.11.26%2bgitf83b85c

=== lib/CMakeLists.txt ===
#
# Copyright 2013 Dominic Spill
#
# This file is part of Libbtbb.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the hackrf cmake setup.

project(libbtbb C)
set(PACKAGE libbtbb)

add_subdirectory(src)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libbtbb.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libbtbb.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libbtbb.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
)

=== lib/src/CMakeLists.txt ===
#
# This file is part of Libbtbb.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#
# Based slightly upon the hackrf cmake setup.

# FIXME Set static release version here to avoid pulling from git
set(RELEASE "")

if ( "${RELEASE}" STREQUAL "" )
	# automatic git version when working out of git
	include(GetGitRevisionDescription)
	get_git_head_revision(GIT_REFSPEC RELEASE)
endif()

add_definitions( -DRELEASE="${RELEASE}" )

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/version.c.in"
               "${CMAKE_CURRENT_BINARY_DIR}/version.c"
               @ONLY)

# Source
set(c_sources ${CMAKE_CURRENT_SOURCE_DIR}/bluetooth_packet.c
              ${CMAKE_CURRENT_SOURCE_DIR}/bluetooth_piconet.c
              ${CMAKE_CURRENT_SOURCE_DIR}/bluetooth_le_packet.c
              ${CMAKE_CURRENT_SOURCE_DIR}/pcap.c
              ${CMAKE_CURRENT_SOURCE_DIR}/pcapng.c
              ${CMAKE_CURRENT_SOURCE_DIR}/pcapng-bt.c
			  ${CMAKE_CURRENT_BINARY_DIR}/version.c
			  CACHE INTERNAL "List of C sources")
set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/btbb.h
			  CACHE INTERNAL "List of C headers")

# For cygwin just force UNIX OFF and WIN32 ON
if( ${CYGWIN} )
	SET(UNIX OFF)
	SET(WIN32 ON)
endif( ${CYGWIN} )

# FIXME: This may be a hack
# perhaps there should be separate libbtbb and libbtbb-static targets?
if( ${WIN32} )
	# Static library
	add_library(btbb STATIC ${c_sources})
	set_target_properties(btbb PROPERTIES OUTPUT_NAME "btbb_static")
else()
	# Dynamic library
	add_library(btbb SHARED ${c_sources})
	set_target_properties(btbb PROPERTIES VERSION ${MAJOR_VERSION}.${MINOR_VERSION} SOVERSION 0)
endif()

set_target_properties(btbb PROPERTIES CLEAN_DIRECT_OUTPUT 1)

# Conditional libpcap support
find_package(PCAP)
if( ${PCAP_FOUND} )
	include_directories(${PCAP_INCLUDE_DIRS})
	target_link_libraries(btbb ${PCAP_LIBRARIES})
	add_definitions( -DUSE_PCAP )
endif( ${PCAP_FOUND} )

if( ${UNIX} )
   install(TARGETS btbb
           LIBRARY DESTINATION lib${LIB_SUFFIX}
           COMPONENT sharedlibs
           )
   install(FILES ${c_headers}
           DESTINATION include
           COMPONENT headers
           )
endif( ${UNIX} )

if( ${WIN32} )
   install(TARGETS btbb
           DESTINATION bin
           COMPONENT staticlibs
           )
   install(FILES ${c_headers}
           DESTINATION include
           COMPONENT headers
           )
endif( ${WIN32} )

## libbtbb 2014.11.26+gitf83b85c

=== debian/changelog ===
libbtbb (2014.11.26+gitf83b85c-1) unstable; urgency=low

  * Initial release (Closes: #772575)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 08 Dec 2014 18:52:56 +0100

=== debian/control ===
Source: libbtbb
Section: libs
Priority: optional
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9),
               libpcap-dev,
               python-all-dev,
               cmake
Standards-Version: 3.9.6
Vcs-Git: git://github.com/rubund/debian-libbtbb.git
Vcs-Browser: https://github.com/rubund/debian-libbtbb/tree/master
Homepage: http://libbtbb.sourceforge.net/

Package: libbtbb0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Bluetooth baseband decoding library
 This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
 project. It can be used to extract Bluetooth packet and piconet information
 from Ubertooth devices as well as GR-Bluetooth/USRP.

Package: libbtbb-dev
Architecture: any
Section: libdevel
Depends: libbtbb0 (= ${binary:Version}),
         libpcap-dev,
         ${misc:Depends}
Description: Bluetooth baseband decoding library - development files
 This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
 project. It can be used to extract Bluetooth packet and piconet information
 from Ubertooth devices as well as GR-Bluetooth/USRP.
 .
 This package provides the development files for using the btbb library.

Package: libbtbb0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libbtbb0 (= ${binary:Version}),
         ${misc:Depends}
Description: Bluetooth baseband decoding library - debugging symbols
 This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
 project. It can be used to extract Bluetooth packet and piconet information
 from Ubertooth devices as well as GR-Bluetooth/USRP.
 .
 This package contains the debugging files used to investigate problems with
 the btbb library.

Package: python-libbtbb-pcapdump
Architecture: any
Section: python
Depends: libbtbb0 (= ${binary:Version}),
         python,
         ${misc:Depends}
Description: pcapdump is a Python module for pcap delivered by libbtbb
 This module may be used to read and write pcap files produced by
 libbtbb. Actually libbtbb doesn't produce such files by itself at this
 3 time, but you can produce them with the Ubertooth tools.

## libbtbb 2015.09.R2

=== CMakeLists.txt ===
#
# Copyright 2013 Dominic Spill
#
# This file is part of Libbtbb.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#
#top level cmake project for libbtbb lib + tools

cmake_minimum_required(VERSION 2.8)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 3)
project(libbtbb_all)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

set( VERSION ${MAJOR_VERSION}.${MINOR_VERSION} )
add_definitions( -DVERSION="${VERSION}" )

# Comment the following out for releases.
set(CMAKE_C_FLAGS "$ENV{CFLAGS}")

add_subdirectory(lib)
if(NOT DISABLE_PYTHON)
	add_subdirectory(python)
endif()

# Create uninstall target
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 # Boston, MA 02110-1301, USA.
 #
 
+include(GNUInstallDirs)
+
 # Based heavily upon the hackrf cmake setup.
 
 project(libbtbb C)

=== lib/src/CMakeLists.txt ===
--- 
+++ 
@@ -65,13 +65,21 @@
 
 set_target_properties(btbb PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 
-# Conditional libpcap support
-find_package(PCAP)
-if( ${PCAP_FOUND} )
-	include_directories(${PCAP_INCLUDE_DIRS})
-	target_link_libraries(btbb ${PCAP_LIBRARIES})
-	add_definitions( -DUSE_PCAP )
-endif( ${PCAP_FOUND} )
+# PCAP Support
+if( (NOT DEFINED USE_PCAP) OR USE_PCAP )
+	find_package(PCAP)
+
+	if( USE_PCAP AND NOT ${PCAP_FOUND} )
+		message( FATAL_ERROR
+			"Cannot find libpcap, which is required for USE_PCAP")
+	endif()
+
+	if( ${PCAP_FOUND} )
+		include_directories(${PCAP_INCLUDE_DIRS})
+		target_link_libraries(btbb ${PCAP_LIBRARIES})
+		add_definitions( -DENABLE_PCAP )
+	endif( ${PCAP_FOUND} )
+endif( (NOT DEFINED USE_PCAP) OR USE_PCAP )
 
 if( ${UNIX} )
    install(TARGETS btbb

=== python/pcaptools/Makefile ===
# Copyright 2012 Michael Ossmann, Dominic Spill
#
# This file is part of Project Ubertooth.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

INSTALL ?= /usr/bin/install
PYTHON ?= /usr/bin/env python

INSTALL_DIR ?= /usr/bin

EXECUTABLE_FILES = btaptap

all: pcapdump

pcapdump:
	$(PYTHON) setup.py build

clean:
	rm -rf build

install: pcapdump
	$(PYTHON) setup.py install
	$(INSTALL) -m 0755 $(EXECUTABLE_FILES) $(INSTALL_DIR)

.PHONY: all clean install pcapdump

=== wireshark/plugins/btatt/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 31995 2010-02-24 22:32:10Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

project(btatt-wireshark-plugin C)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

IF ( NOT CMAKE_INSTALL_LIBDIR )
  set(CMAKE_INSTALL_LIBDIR ~/.wireshark/plugins)
ENDIF ( NOT CMAKE_INSTALL_LIBDIR )
MESSAGE (STATUS "Plugin will be installed in: ${CMAKE_INSTALL_LIBDIR}")

INCLUDE(UseMakeDissectorReg)
  
set(GLIB2_MIN_VERSION 2.4.0)

find_package(GLIB2)
include_directories (${GLIB2_INCLUDE_DIRS})

find_package(Wireshark)
include_directories (${WIRESHARK_INCLUDE_DIRS})

set(LINK_MODE_LIB SHARED)
set(LINK_MODE_MODULE MODULE)


set(DISSECTOR_SRC
	packet-btatt.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(btatt ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(btatt PROPERTIES PREFIX "")
set_target_properties(btatt PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")

target_link_libraries(btatt wireshark)

install(TARGETS btatt
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ NAMELINK_SKIP
)

=== wireshark/plugins/btbb/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 31995 2010-02-24 22:32:10Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

project(btbb-wireshark-plugin C)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

IF ( NOT CMAKE_INSTALL_LIBDIR )
  set(CMAKE_INSTALL_LIBDIR ~/.wireshark/plugins)
ENDIF ( NOT CMAKE_INSTALL_LIBDIR )
MESSAGE (STATUS "Plugin will be installed in: ${CMAKE_INSTALL_LIBDIR}")

INCLUDE(UseMakeDissectorReg)
  
set(GLIB2_MIN_VERSION 2.4.0)

find_package(GLIB2)
include_directories (${GLIB2_INCLUDE_DIRS})

find_package(Wireshark)
include_directories (${WIRESHARK_INCLUDE_DIRS})

set(LINK_MODE_LIB SHARED)
set(LINK_MODE_MODULE MODULE)


set(DISSECTOR_SRC
	packet-btbb.c
	packet-btlmp.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(btbb ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(btbb PROPERTIES PREFIX "")
set_target_properties(btbb PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")

target_link_libraries(btbb wireshark)

install(TARGETS btbb
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ NAMELINK_SKIP
)

=== wireshark/plugins/btbredr/CMakeLists.txt ===
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

project(btbredr-wireshark-plugin C)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

IF ( NOT CMAKE_INSTALL_LIBDIR )
  set(CMAKE_INSTALL_LIBDIR ~/.wireshark/plugins)
ENDIF ( NOT CMAKE_INSTALL_LIBDIR )
MESSAGE (STATUS "Plugin will be installed in: ${CMAKE_INSTALL_LIBDIR}")

INCLUDE(UseMakeDissectorReg)
  
set(GLIB2_MIN_VERSION 2.4.0)

find_package(GLIB2)
include_directories (${GLIB2_INCLUDE_DIRS})

find_package(Wireshark)
include_directories (${WIRESHARK_INCLUDE_DIRS})

set(LINK_MODE_LIB SHARED)
set(LINK_MODE_MODULE MODULE)


set(DISSECTOR_SRC
	packet-btbredr.c
	packet-btlmp.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(btbredr ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(btbredr PROPERTIES PREFIX "")
set_target_properties(btbredr PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")

target_link_libraries(btbredr wireshark)

install(TARGETS btbredr
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ NAMELINK_SKIP
)

=== debian/changelog ===
libbtbb (2015.09.R2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Added "Multi-Arch: same" to allow libbtbb0 to be
      installed for multiple architectures
    - Fixed small typo in long description
    - Make python-libbtbb-pcapdump arch:all
    - Changed the dependency for python-libbtbb-pcapdump
      from (= ${binary:Version}) to (>= ${source:Version})
      to avoid lintian.
  * debian/copyright:
    - Fixes related to new upstream release
  * debian/libbtbb0.symbols
    - Added new symbols

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 07 Sep 2015 23:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Bluetooth baseband decoding library
  This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
  project. It can be used to extract Bluetooth packet and piconet information
@@ -27,6 +28,7 @@
 Depends: libbtbb0 (= ${binary:Version}),
          libpcap-dev,
          ${misc:Depends}
+Multi-Arch: same
 Description: Bluetooth baseband decoding library - development files
  This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
  project. It can be used to extract Bluetooth packet and piconet information
@@ -40,6 +42,7 @@
 Priority: extra
 Depends: libbtbb0 (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Bluetooth baseband decoding library - debugging symbols
  This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
  project. It can be used to extract Bluetooth packet and piconet information
@@ -49,12 +52,12 @@
  the btbb library.
 
 Package: python-libbtbb-pcapdump
-Architecture: any
+Architecture: all
 Section: python
-Depends: libbtbb0 (= ${binary:Version}),
+Depends: libbtbb0 (>= ${source:Version}),
          python,
          ${misc:Depends}
 Description: pcapdump is a Python module for pcap delivered by libbtbb
  This module may be used to read and write pcap files produced by
  libbtbb. Actually libbtbb doesn't produce such files by itself at this
- 3 time, but you can produce them with the Ubertooth tools.
+ time, but you can produce them with the Ubertooth tools.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem cmake

override_dh_auto_clean:
	rm -rf python/pcaptools/build
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \

override_dh_auto_install:
	dh_auto_install

override_dh_strip:
	dh_strip -plibbtbb0 --keep-debug --dbg-package=libbtbb0-dbg

## libbtbb 2017.03.R2

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,21 +21,20 @@
 #top level cmake project for libbtbb lib + tools
 
 cmake_minimum_required(VERSION 2.8)
-set(MAJOR_VERSION 0)
-set(MINOR_VERSION 3)
 project(libbtbb_all)
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)
 
 set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
 
-set( VERSION ${MAJOR_VERSION}.${MINOR_VERSION} )
-add_definitions( -DVERSION="${VERSION}" )
+set(BUILD_SHARED_LIB ON CACHE BOOL "Build shared library")
+set(BUILD_STATIC_LIB OFF CACHE BOOL "Build static library")
+set(ENABLE_PYTHON ON CACHE BOOL "Build python tools")
 
 # Comment the following out for releases.
-set(CMAKE_C_FLAGS "$ENV{CFLAGS}")
+set(CMAKE_C_FLAGS "$ENV{CFLAGS}" CACHE STRING "C Flags")
 
 add_subdirectory(lib)
-if(NOT DISABLE_PYTHON)
+if(ENABLE_PYTHON)
 	add_subdirectory(python)
 endif()

=== wireshark/plugins-legacy/btle/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 31995 2010-02-24 22:32:10Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

project(btle-wireshark-plugin C)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

IF ( NOT CMAKE_INSTALL_LIBDIR )
  set(CMAKE_INSTALL_LIBDIR ~/.wireshark/plugins)
ENDIF ( NOT CMAKE_INSTALL_LIBDIR )
MESSAGE (STATUS "Plugin will be installed in: ${CMAKE_INSTALL_LIBDIR}")

INCLUDE(UseMakeDissectorReg)
  
set(GLIB2_MIN_VERSION 2.4.0)

find_package(GLIB2)
include_directories (${GLIB2_INCLUDE_DIRS})

find_package(Wireshark)
include_directories (${WIRESHARK_INCLUDE_DIRS})

set(LINK_MODE_LIB SHARED)
set(LINK_MODE_MODULE MODULE)


set(DISSECTOR_SRC
	packet-btle.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(btle ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(btle PROPERTIES PREFIX "")
set_target_properties(btle PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")

target_link_libraries(btle wireshark)

install(TARGETS btle
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ NAMELINK_SKIP
)

=== debian/changelog ===
libbtbb (2017.03.R2-1) unstable; urgency=low

  * Upload to unstable 
  * debian/control: New standards version 4.0.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 22:58:37 +0200

libbtbb (2017.03.R2-1~exp1) experimental; urgency=low

  * New upstream release
  * libbtbb0 -> libbtbb1
  * debian/control:
    - New standards version: 3.9.8
    - Use secure URL for Vcs
    - Removed -dbg package (now handled automatically)
  * debian/copyright:
    - Relevant copyright info updated
  * debian/libbtbb1.symbols: Symbols updated
  * debian/rules:
    - No need to override dh_strip anymore

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 14 Mar 2017 16:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                libpcap-dev,
                python-all-dev,
                cmake
-Standards-Version: 3.9.6
-Vcs-Git: git://github.com/rubund/debian-libbtbb.git
+Standards-Version: 4.0.0
+Vcs-Git: https://github.com/rubund/debian-libbtbb.git
 Vcs-Browser: https://github.com/rubund/debian-libbtbb/tree/master
 Homepage: http://libbtbb.sourceforge.net/
 
-Package: libbtbb0
+Package: libbtbb1
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -25,7 +25,7 @@
 Package: libbtbb-dev
 Architecture: any
 Section: libdevel
-Depends: libbtbb0 (= ${binary:Version}),
+Depends: libbtbb1 (= ${binary:Version}),
          libpcap-dev,
          ${misc:Depends}
 Multi-Arch: same
@@ -36,25 +36,10 @@
  .
  This package provides the development files for using the btbb library.
 
-Package: libbtbb0-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libbtbb0 (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: Bluetooth baseband decoding library - debugging symbols
- This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
- project. It can be used to extract Bluetooth packet and piconet information
- from Ubertooth devices as well as GR-Bluetooth/USRP.
- .
- This package contains the debugging files used to investigate problems with
- the btbb library.
-
 Package: python-libbtbb-pcapdump
 Architecture: all
 Section: python
-Depends: libbtbb0 (>= ${source:Version}),
+Depends: libbtbb1 (>= ${source:Version}),
          python,
          ${misc:Depends}
 Description: pcapdump is a Python module for pcap delivered by libbtbb

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,3 @@
 override_dh_auto_install:
 	dh_auto_install
 
-override_dh_strip:
-	dh_strip -plibbtbb0 --keep-debug --dbg-package=libbtbb0-dbg

## libbtbb 2018.06.R1

=== debian/changelog ===
libbtbb (2018.06.R1-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 13 Jul 2018 16:21:08 +0200

libbtbb (2017.03.R2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote python-all-dev to Build-Depends-Indep. (Closes: #893890)

  [ Ruben Undheim ]
  * debian/control:
    - New standards version 4.1.5 - no changes
  * debian/copyright:
    - Use https protocol in Format field
  * debian/libbtbb1.lintian-overrides: to make spelling error lintian silent

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 11 Jul 2018 15:51:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper (>= 9),
                libpcap-dev,
-               python-all-dev,
                cmake
-Standards-Version: 4.0.0
+Build-Depends-Indep: python-all-dev
+Standards-Version: 4.1.5
 Vcs-Git: https://github.com/rubund/debian-libbtbb.git
 Vcs-Browser: https://github.com/rubund/debian-libbtbb/tree/master
 Homepage: http://libbtbb.sourceforge.net/

## libbtbb 2018.08.R1

=== debian/changelog ===
libbtbb (2018.08.R1-2) unstable; urgency=medium

  * debian/tests/control: Add missing test-dependencies
  * debian/control: Set Vcs URL to salsa

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 09:16:18 +0200

libbtbb (2018.08.R1-1) unstable; urgency=medium

  * New upstream release
  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.1 - no changes
  * debian/tests:
    - Added autopkgtest to verify that it is possible to link with the library.
  * debian/upstream/metadata: added metadata file

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 15:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libpcap-dev,
                cmake
 Build-Depends-Indep: python-all-dev
-Standards-Version: 4.1.5
-Vcs-Git: https://github.com/rubund/debian-libbtbb.git
-Vcs-Browser: https://github.com/rubund/debian-libbtbb/tree/master
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/rubund/libbtbb.git
+Vcs-Browser: https://salsa.debian.org/rubund/libbtbb
 Homepage: http://libbtbb.sourceforge.net/
 
 Package: libbtbb1

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
+	   $(if $(filter python-libbtbb-pcapdump,$(shell dh_listpackages)),,-DENABLE_PYTHON=OFF)
 
 override_dh_auto_install:
 	dh_auto_install
-

## libbtbb 2018.12.R1

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,16 @@
 # Based heavily upon the hackrf cmake setup.
 
 project(libbtbb C)
+set(MAJOR_VERSION 1)
+set(MINOR_VERSION 0)
 set(PACKAGE libbtbb)
+set(VERSION ${MAJOR_VERSION}.${MINOR_VERSION})
+add_definitions( -DVERSION="${VERSION}" )
+
+if(NOT MSVC)
+	add_definitions(-Wall)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
+endif()
 
 add_subdirectory(src)

=== python/CMakeLists.txt ===
# Copyright 2013 Dominic Spill
#
# This file is part of Libbtbb
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

project(btbb-python)

# Check for python installation
find_package(PythonInterp)
if(NOT PYTHONINTERP_FOUND)
	return()
else()
	add_subdirectory(pcaptools)
endif()

# Create uninstall target
if(NOT libbtbb_all_SOURCE_DIR)
	configure_file(
		${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
		${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
	@ONLY)

	add_custom_target(uninstall
		${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
	)
endif()

=== tests/Makefile ===
# Copyright 2011 Michael Ossmann, Dominic Spill
#
# This file is part of Project Ubertooth.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

CC ?= gcc

SOURCE_FILES = test_syndromes.c
LIBRARY_SOURCE = ../bluetooth_packet.c
BINARY_FILES = test_syndromes
HEADER_FILES = ../bluetooth_packet.h

CFLAGS += -DHASH_FUNCTION=HASH_FNV -DHASH_EMIT_KEYS=3

all: test_packet

test_packet:
	$(CC) $(CFLAGS) $(CPPFLAGS) -O2 -Wall $(LIBRARY_SOURCE) $(SOURCE_FILES) -o $(BINARY_FILES)

clean:
	rm -f $(BINARY_FILES)

=== lib/src/CMakeLists.txt ===
#
# This file is part of Libbtbb.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#
# Based slightly upon the hackrf cmake setup.

include(${PROJECT_SOURCE_DIR}/../cmake/set_release.cmake)
add_definitions( -DRELEASE="${RELEASE_STRING}" )
message(STATUS "Setting version string ${RELEASE_STRING}")

# Source
set(c_sources ${CMAKE_CURRENT_SOURCE_DIR}/bluetooth_packet.c
              ${CMAKE_CURRENT_SOURCE_DIR}/bluetooth_piconet.c
              ${CMAKE_CURRENT_SOURCE_DIR}/bluetooth_le_packet.c
              ${CMAKE_CURRENT_SOURCE_DIR}/companies.c
              ${CMAKE_CURRENT_SOURCE_DIR}/pcap.c
              ${CMAKE_CURRENT_SOURCE_DIR}/pcapng.c
              ${CMAKE_CURRENT_SOURCE_DIR}/pcapng-bt.c
			  CACHE INTERNAL "List of C sources")
set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/btbb.h
			  CACHE INTERNAL "List of C headers")

if( NOT ${BUILD_SHARED_LIB} AND NOT ${BUILD_STATIC} )
	message( FATAL_ERROR "Not building static or shared library - at least one must be built")
endif( NOT ${BUILD_SHARED_LIB} AND NOT ${BUILD_STATIC} )

set(CMAKE_MACOSX_RPATH 1)

if( ${BUILD_SHARED_LIB} )
    # Shared library
    message(STATUS "Building shared library")
    add_library(btbb SHARED ${c_sources})
    set_target_properties(btbb PROPERTIES VERSION ${MAJOR_VERSION}.${MINOR_VERSION} SOVERSION 1)
    set_target_properties(btbb PROPERTIES CLEAN_DIRECT_OUTPUT 1)
    install(TARGETS btbb
            LIBRARY DESTINATION lib${LIB_SUFFIX}
            COMPONENT sharedlibs)
endif( ${BUILD_SHARED_LIB} )

if( ${BUILD_STATIC_LIB} )
    # Static library
    message(STATUS "Building static library")
    add_library(btbb-static STATIC ${c_sources})
    set_target_properties(btbb-static PROPERTIES OUTPUT_NAME "btbb")
    set_target_properties(btbb-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
    install(TARGETS btbb-static
            DESTINATION lib${LIB_SUFFIX}
            COMPONENT staticlibs)
endif( ${BUILD_STATIC_LIB} )

install(FILES ${c_headers}
        DESTINATION include
        COMPONENT headers
        )

=== python/pcaptools/CMakeLists.txt ===
# Copyright 2013 Dominic Spill
#
# This file is part of Libbtbb (pcapdump)
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

set(SETUP_PY_IN ${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in)
set(SETUP_PY    ${CMAKE_CURRENT_BINARY_DIR}/setup.py)
set(DEPS        ${CMAKE_CURRENT_SOURCE_DIR}/pcapdump/__init__.py
                ${CMAKE_CURRENT_SOURCE_DIR}/pcapdump/pcapdump.py)
set(OUTPUT      ${CMAKE_CURRENT_BINARY_DIR}/build)

configure_file(${SETUP_PY_IN} ${SETUP_PY})

add_custom_command(OUTPUT ${OUTPUT}/timestamp
                   COMMAND ${PYTHON_EXECUTABLE} setup.py build
                   COMMAND ${CMAKE_COMMAND} -E touch ${OUTPUT}/timestamp
                   DEPENDS ${DEPS})

add_custom_target(pcapdump ALL DEPENDS ${OUTPUT}/timestamp)
install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ${SETUP_PY} build -b ${OUTPUT} install --prefix=${BUILD_ROOT}/${CMAKE_INSTALL_PREFIX})")

add_custom_target(btaptap ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/btaptap)
install(PROGRAMS btaptap DESTINATION ${INSTALL_DEFAULT_BINDIR})

=== wireshark/plugins-legacy/btbb/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 31995 2010-02-24 22:32:10Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

project(btbb-wireshark-plugin C)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

IF ( NOT CMAKE_INSTALL_LIBDIR )
  set(CMAKE_INSTALL_LIBDIR ~/.wireshark/plugins)
ENDIF ( NOT CMAKE_INSTALL_LIBDIR )
MESSAGE (STATUS "Plugin will be installed in: ${CMAKE_INSTALL_LIBDIR}")

INCLUDE(UseMakeDissectorReg)
  
set(GLIB2_MIN_VERSION 2.4.0)

find_package(GLIB2)
include_directories (${GLIB2_INCLUDE_DIRS})

find_package(Wireshark)
include_directories (${WIRESHARK_INCLUDE_DIRS})

set(LINK_MODE_LIB SHARED)
set(LINK_MODE_MODULE MODULE)


set(DISSECTOR_SRC
	packet-btbb.c
	packet-btbrlmp.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(btbb ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(btbb PROPERTIES PREFIX "")
set_target_properties(btbb PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")

target_link_libraries(btbb wireshark)

install(TARGETS btbb
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ NAMELINK_SKIP
)

=== wireshark/plugins-legacy/btsm/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 31995 2010-02-24 22:32:10Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

project(btsm-wireshark-plugin C)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

IF ( NOT CMAKE_INSTALL_LIBDIR )
  set(CMAKE_INSTALL_LIBDIR ~/.wireshark/plugins)
ENDIF ( NOT CMAKE_INSTALL_LIBDIR )
MESSAGE (STATUS "Plugin will be installed in: ${CMAKE_INSTALL_LIBDIR}")

INCLUDE(UseMakeDissectorReg)
  
set(GLIB2_MIN_VERSION 2.4.0)

find_package(GLIB2)
include_directories (${GLIB2_INCLUDE_DIRS})

find_package(Wireshark)
include_directories (${WIRESHARK_INCLUDE_DIRS})

set(LINK_MODE_LIB SHARED)
set(LINK_MODE_MODULE MODULE)


set(DISSECTOR_SRC
	packet-btsm.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(btsm ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(btsm PROPERTIES PREFIX "")
set_target_properties(btsm PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")

target_link_libraries(btsm wireshark)

install(TARGETS btsm
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ NAMELINK_SKIP
)

=== debian/changelog ===
libbtbb (2018.12.R1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add cmake4.patch (Closes: #1113123)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 18 Oct 2025 18:42:25 +0200

libbtbb (2018.12.R1-1) unstable; urgency=medium

  * New upstream release (no changes, but updated version number)
  * Drop Python2 binary package (Closes: #943081). Does not have any reverse
    dependencies.
  * debian/control:
    - Standards version 4.4.1 - no changes
    - Use debhelper-compat. Set to level 12
  * debian/compat: deleted

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 23 Dec 2019 08:42:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libpcap-dev,
                cmake
-Build-Depends-Indep: python-all-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/rubund/libbtbb.git
 Vcs-Browser: https://salsa.debian.org/rubund/libbtbb
 Homepage: http://libbtbb.sourceforge.net/
@@ -35,14 +34,3 @@
  from Ubertooth devices as well as GR-Bluetooth/USRP.
  .
  This package provides the development files for using the btbb library.
-
-Package: python-libbtbb-pcapdump
-Architecture: all
-Section: python
-Depends: libbtbb1 (>= ${source:Version}),
-         python,
-         ${misc:Depends}
-Description: pcapdump is a Python module for pcap delivered by libbtbb
- This module may be used to read and write pcap files produced by
- libbtbb. Actually libbtbb doesn't produce such files by itself at this
- time, but you can produce them with the Ubertooth tools.

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
-	   $(if $(filter python-libbtbb-pcapdump,$(shell dh_listpackages)),,-DENABLE_PYTHON=OFF)
+	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DENABLE_PYTHON=OFF
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: can-link
Depends: libbtbb-dev, pkg-config, gcc

=== debian/watch ===
version=3
https://github.com/greatscottgadgets/libbtbb/releases /greatscottgadgets/libbtbb/archive/(\w+?)-(\w+?)-(\w+?)\.tar\.(?:bz2|gz|xz)
